import { OnInit, EventEmitter, OnDestroy } from "@angular/core";
import { UntypedFormGroup, UntypedFormBuilder } from "@angular/forms";
import { CredentialsService } from "../../core/credentials.service";
import * as i0 from "@angular/core";
export declare class CommentFormComponent implements OnInit, OnDestroy {
    private fb;
    private credentialService;
    commentFormGroup: UntypedFormGroup;
    view: boolean;
    _commentData: any;
    set commentData(data: any);
    action: EventEmitter<any>;
    constructor(fb: UntypedFormBuilder, credentialService: CredentialsService);
    ngOnInit(): void;
    get isLoggedIn(): boolean;
    get currentUser(): any;
    private createForm;
    submit(): void;
    hideEdit(): void;
    editComment(): void;
    deleteComment(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommentFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CommentFormComponent, "app-comment-form", never, { "commentData": { "alias": "commentData"; "required": false; }; }, { "action": "action"; }, never, never, false, never>;
}
